package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpPayAndRefundSumGetByOrderIdVO {
   @ApiModelProperty("采购单号")
   private String orderGoodsId;
   @ApiModelProperty("订单总金额")
   private Long orderTotalAmount;
   @ApiModelProperty("申请金额")
   private Long applyAmount;
   @ApiModelProperty("已付/已退金额")
   private Long isAmount;
   @ApiModelProperty("待付/待退金额")
   private Long waitAmount;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getOrderTotalAmount() {
      return this.orderTotalAmount;
   }

   public Long getApplyAmount() {
      return this.applyAmount;
   }

   public Long getIsAmount() {
      return this.isAmount;
   }

   public Long getWaitAmount() {
      return this.waitAmount;
   }

   public DrpPayAndRefundSumGetByOrderIdVO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpPayAndRefundSumGetByOrderIdVO setOrderTotalAmount(final Long orderTotalAmount) {
      this.orderTotalAmount = orderTotalAmount;
      return this;
   }

   public DrpPayAndRefundSumGetByOrderIdVO setApplyAmount(final Long applyAmount) {
      this.applyAmount = applyAmount;
      return this;
   }

   public DrpPayAndRefundSumGetByOrderIdVO setIsAmount(final Long isAmount) {
      this.isAmount = isAmount;
      return this;
   }

   public DrpPayAndRefundSumGetByOrderIdVO setWaitAmount(final Long waitAmount) {
      this.waitAmount = waitAmount;
      return this;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpPayAndRefundSumGetByOrderIdVO(orderGoodsId=" + var10000 + ", orderTotalAmount=" + this.getOrderTotalAmount() + ", applyAmount=" + this.getApplyAmount() + ", isAmount=" + this.getIsAmount() + ", waitAmount=" + this.getWaitAmount() + ")";
   }
}
